"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.handlers = exports.goodAuthResponseBody = void 0;
const msw_1 = require("msw");
const querystring_1 = __importDefault(require("querystring"));
const authUrl = `http://localhost/auth-oauth2/oauth/token`;
const jsonwebtoken_1 = __importDefault(require("jsonwebtoken"));
const dayjs_1 = __importDefault(require("dayjs"));
exports.goodAuthResponseBody = {
    access_token: jsonwebtoken_1.default.sign({ exp: (0, dayjs_1.default)().add(1, 'hour').unix() }, 'secret'),
    expires_in: '3600',
    UUID: 'user_uuid',
    refresh_token: jsonwebtoken_1.default.sign({ exp: (0, dayjs_1.default)().add(24, 'hour').unix() }, 'secret'),
};
exports.handlers = [
    msw_1.rest.post(authUrl, (req, resp, ctx) => {
        const params = querystring_1.default.parse('' + req.body);
        const grantType = params['grant_type'];
        if (grantType === 'password') {
            const username = params['username'];
            if (username === 'test@test.pl') {
                return resp(ctx.delay(2000), ctx.status(200), ctx.json(exports.goodAuthResponseBody));
            }
            if (username === 'anonymous') {
                return resp(ctx.delay(2000), ctx.status(200), ctx.json(exports.goodAuthResponseBody));
            }
        }
        if (grantType === 'refresh_token') {
            const refreshToken = params['refresh_token'];
            if (refreshToken === exports.goodAuthResponseBody.refresh_token) {
                return resp(ctx.delay(2000), ctx.status(200), ctx.json(exports.goodAuthResponseBody));
            }
        }
        return resp(ctx.delay(2000), ctx.status(403));
    }),
];
